# Get logs for one Shipment by Shipment Id GET https://api.shipbob.com/2.0/shipment/{shipmentId}/logs Reference: https://developer.shipbob.com/2025-07/api/orders/get-logs-for-one-shipment-by-shipment-id ## OpenAPI Specification ```yaml openapi: 3.1.0 info: title: api-2.0 version: 1.0.0 paths: /2.0/shipment/{shipmentId}/logs: get: operationId: get-logs-for-one-shipment-by-shipment-id summary: Get logs for one Shipment by Shipment Id tags: - subpackage_orders parameters: - name: shipmentId in: path description: The shipment id to get required: true schema: type: string format: int32 - name: Authorization in: header description: Authentication using Personal Access Token (PAT) token required: true schema: type: string - name: shipbob_channel_id in: header description: Channel Id for Operation required: false schema: type: string format: int32 responses: '200': description: Success content: application/json: schema: $ref: '#/components/schemas/Orders.ShipmentLogViewModelArray' '400': description: Bad Request content: application/json: schema: $ref: >- #/components/schemas/Orders.Get.Api.Shipment.ShipmentId.Logs.Bad.Request.Object '401': description: No access right at this time content: application/json: schema: description: Any type '403': description: No access content: application/json: schema: description: Any type '404': description: Not Found content: application/json: schema: description: Any type servers: - url: https://api.shipbob.com - url: https://sandbox-api.shipbob.com components: schemas: Orders.ShipmentLogViewModel: type: object properties: log_type_id: type: integer description: Log type id of the shipment log_type_name: type: - string - 'null' description: Name of the log type log_type_text: type: - string - 'null' description: Summary of log type meaning metadata: type: - object - 'null' additionalProperties: type: string description: Specifics data for the event timestamp: type: string format: date-time description: Timestamp of event title: Orders.ShipmentLogViewModel Orders.ShipmentLogViewModelArray: type: array items: $ref: '#/components/schemas/Orders.ShipmentLogViewModel' title: Orders.ShipmentLogViewModelArray Orders.Get.Api.Shipment.ShipmentId.Logs.Bad.Request.Object: type: object additionalProperties: type: array items: type: string title: Orders.Get.Api.Shipment.ShipmentId.Logs.Bad.Request.Object securitySchemes: PAT: type: http scheme: bearer description: Authentication using Personal Access Token (PAT) token OAuth2: type: http scheme: bearer description: OAuth2 authentication using JWT tokens ``` ## SDK Code Examples ```python Orders_getLogsForOneShipmentByShipmentId_example import requests url = "https://api.shipbob.com/2.0/shipment/shipmentId/logs" headers = {"Authorization": "Bearer "} response = requests.get(url, headers=headers) print(response.json()) ``` ```javascript Orders_getLogsForOneShipmentByShipmentId_example const url = 'https://api.shipbob.com/2.0/shipment/shipmentId/logs'; const options = {method: 'GET', headers: {Authorization: 'Bearer '}}; try { const response = await fetch(url, options); const data = await response.json(); console.log(data); } catch (error) { console.error(error); } ``` ```go Orders_getLogsForOneShipmentByShipmentId_example package main import ( "fmt" "net/http" "io" ) func main() { url := "https://api.shipbob.com/2.0/shipment/shipmentId/logs" req, _ := http.NewRequest("GET", url, nil) req.Header.Add("Authorization", "Bearer ") res, _ := http.DefaultClient.Do(req) defer res.Body.Close() body, _ := io.ReadAll(res.Body) fmt.Println(res) fmt.Println(string(body)) } ``` ```ruby Orders_getLogsForOneShipmentByShipmentId_example require 'uri' require 'net/http' url = URI("https://api.shipbob.com/2.0/shipment/shipmentId/logs") http = Net::HTTP.new(url.host, url.port) http.use_ssl = true request = Net::HTTP::Get.new(url) request["Authorization"] = 'Bearer ' response = http.request(request) puts response.read_body ``` ```java Orders_getLogsForOneShipmentByShipmentId_example import com.mashape.unirest.http.HttpResponse; import com.mashape.unirest.http.Unirest; HttpResponse response = Unirest.get("https://api.shipbob.com/2.0/shipment/shipmentId/logs") .header("Authorization", "Bearer ") .asString(); ``` ```php Orders_getLogsForOneShipmentByShipmentId_example request('GET', 'https://api.shipbob.com/2.0/shipment/shipmentId/logs', [ 'headers' => [ 'Authorization' => 'Bearer ', ], ]); echo $response->getBody(); ``` ```csharp Orders_getLogsForOneShipmentByShipmentId_example using RestSharp; var client = new RestClient("https://api.shipbob.com/2.0/shipment/shipmentId/logs"); var request = new RestRequest(Method.GET); request.AddHeader("Authorization", "Bearer "); IRestResponse response = client.Execute(request); ``` ```swift Orders_getLogsForOneShipmentByShipmentId_example import Foundation let headers = ["Authorization": "Bearer "] let request = NSMutableURLRequest(url: NSURL(string: "https://api.shipbob.com/2.0/shipment/shipmentId/logs")! as URL, cachePolicy: .useProtocolCachePolicy, timeoutInterval: 10.0) request.httpMethod = "GET" request.allHTTPHeaderFields = headers let session = URLSession.shared let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in if (error != nil) { print(error as Any) } else { let httpResponse = response as? HTTPURLResponse print(httpResponse) } }) dataTask.resume() ```